## ros-lunar-rqt-rviz 0.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rqt_rviz)
# Load catkin and all dependencies required for this package

find_package(Boost REQUIRED COMPONENTS program_options)
include_directories(${Boost_INCLUDE_DIRS})
link_directories(${Boost_LIBRARY_DIRS})

find_package(catkin REQUIRED COMPONENTS rqt_gui rqt_gui_cpp rviz)
catkin_package(	
	INCLUDE_DIRS ${rqt_rviz_INCLUDE_DIRECTORIES}
	LIBRARIES ${PROJECT_NAME} 
	CATKIN_DEPENDS rqt_gui rqt_gui_cpp rviz
)
catkin_python_setup()

set(rqt_rviz_SRCS
  src/rqt_rviz/config_dialog.cpp
  src/rqt_rviz/rviz.cpp
)

set(rqt_rviz_HDRS
  include/rqt_rviz/config_dialog.h
  include/rqt_rviz/rviz.h
)

if("${qt_gui_cpp_USE_QT_MAJOR_VERSION} " STREQUAL "5 ")
  find_package(Qt5 REQUIRED COMPONENTS Widgets)
  qt5_wrap_cpp(rqt_rviz_MOCS ${rqt_rviz_HDRS})
  set(qt_LIBRARIES Qt5::Widgets)
else()
  find_package(Qt4 COMPONENTS QtCore QtGui REQUIRED)
  include(${QT_USE_FILE})
  qt4_wrap_cpp(rqt_rviz_MOCS ${rqt_rviz_HDRS})
  set(qt_LIBRARIES ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})
endif()

include_directories(include ${catkin_INCLUDE_DIRS})
add_library(${PROJECT_NAME} ${rqt_rviz_SRCS} ${rqt_rviz_MOCS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${qt_LIBRARIES} ${Boost_LIBRARIES})

find_package(class_loader)
class_loader_hide_library_symbols(${PROJECT_NAME})

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(PROGRAMS scripts/rqt_rviz
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-lunar-rqt-rviz (0.6.0-0xenial) xenial; urgency=high

  * Indigo -> Lunar
  * Contributors: chapulina

 -- Louise Poubel <louise@osrfoundation.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-lunar-rqt-rviz (0.5.10-0xenial) xenial; urgency=high

  * Config file for the plugin and hide_menu saving
  * Contributors: Sammy Pfeiffer, chapulina

 -- Louise Poubel <louise@osrfoundation.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-lunar-rqt-rviz (0.5.9-0xenial) xenial; urgency=high



 -- Louise Poubel <louise@osrfoundation.org>  Thu, 03 May 2018 07:00:00 -0000

ros-lunar-rqt-rviz (0.5.8-0xenial) xenial; urgency=high

  * Qt5 widgets bugfix (#4 <https://github.com/ros-visualization/rqt_rviz/issues/4>)
    * add qtbase to dependency list
    * find widgets as components rather than package
  * Contributors: Mikael Arguedas

 -- Louise Poubel <louise@osrfoundation.org>  Tue, 02 May 2017 07:00:00 -0000

ros-lunar-rqt-rviz (0.5.7-0xenial) xenial; urgency=high



 -- Louise Poubel <louise@osrfoundation.org>  Thu, 27 Apr 2017 07:00:00 -0000

ros-lunar-rqt-rviz (0.5.6-0xenial) xenial; urgency=high



 -- Louise Poubel <louise@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-lunar-rqt-rviz (0.5.5-0xenial) xenial; urgency=high



 -- Louise Poubel <louise@osrfoundation.org>  Wed, 02 Nov 2016 07:00:00 -0000

ros-lunar-rqt-rviz (0.5.4-0xenial) xenial; urgency=high

  * mark rviz plugin as experimental since it has severe issues for while

 -- Louise Poubel <louise@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-lunar-rqt-rviz (0.5.3-0xenial) xenial; urgency=high



 -- Louise Poubel <louise@osrfoundation.org>  Mon, 16 May 2016 07:00:00 -0000

ros-lunar-rqt-rviz (0.5.2-0xenial) xenial; urgency=high

  * fix using Qt 5 when rqt uses it

 -- Louise Poubel <louise@osrfoundation.org>  Fri, 29 Apr 2016 07:00:00 -0000

ros-lunar-rqt-rviz (0.5.1-0xenial) xenial; urgency=high



 -- Louise Poubel <louise@osrfoundation.org>  Thu, 28 Apr 2016 07:00:00 -0000

ros-lunar-rqt-rviz (0.5.0-0xenial) xenial; urgency=high



 -- Louise Poubel <louise@osrfoundation.org>  Wed, 27 Apr 2016 07:00:00 -0000

ros-lunar-rqt-rviz (0.4.3-0xenial) xenial; urgency=high

  * disable ogre-log by default, add command line option to enable it (fix #95 <https://github.com/ros-visualization/rqt_robot_plugins/issues/95>)

 -- Louise Poubel <louise@osrfoundation.org>  Tue, 08 Mar 2016 08:00:00 -0000

ros-lunar-rqt-rviz (0.4.2-0xenial) xenial; urgency=high



 -- Louise Poubel <louise@osrfoundation.org>  Fri, 24 Jul 2015 07:00:00 -0000

ros-lunar-rqt-rviz (0.4.1-0xenial) xenial; urgency=high



 -- Louise Poubel <louise@osrfoundation.org>  Thu, 30 Apr 2015 07:00:00 -0000

ros-lunar-rqt-rviz (0.4.0-0xenial) xenial; urgency=high

  * update script to use full plugin name

 -- Louise Poubel <louise@osrfoundation.org>  Wed, 05 Nov 2014 08:00:00 -0000

ros-lunar-rqt-rviz (0.3.7-0xenial) xenial; urgency=high

  * fix argument parsing (#68 <https://github.com/ros-visualization/rqt_robot_plugins/issues/68>) (regression of 0.3.5)

 -- Louise Poubel <louise@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-lunar-rqt-rviz (0.3.6-0xenial) xenial; urgency=high



 -- Louise Poubel <louise@osrfoundation.org>  Fri, 11 Jul 2014 07:00:00 -0000

ros-lunar-rqt-rviz (0.3.5-0xenial) xenial; urgency=high

  * fix compilation on OS X (#64 <https://github.com/ros-visualization/rqt_robot_plugins/issues/64>)

 -- Louise Poubel <louise@osrfoundation.org>  Mon, 02 Jun 2014 07:00:00 -0000

ros-lunar-rqt-rviz (0.3.4-0xenial) xenial; urgency=high

  * add menu hiding and config as command-line args (#62 <https://github.com/ros-visualization/rqt_robot_plugins/pull/62>)

 -- Louise Poubel <louise@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-lunar-rqt-rviz (0.3.3-0xenial) xenial; urgency=high



 -- Louise Poubel <louise@osrfoundation.org>  Tue, 28 Jan 2014 08:00:00 -0000

ros-lunar-rqt-rviz (0.3.2-0xenial) xenial; urgency=high

  * add groups for rqt plugins (ros-visualization/rqt_common_plugins#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)

 -- Louise Poubel <louise@osrfoundation.org>  Wed, 08 Jan 2014 08:00:00 -0000

ros-lunar-rqt-rviz (0.3.1-0xenial) xenial; urgency=high



 -- Louise Poubel <louise@osrfoundation.org>  Wed, 09 Oct 2013 07:00:00 -0000

ros-lunar-rqt-rviz (0.3.0-0xenial) xenial; urgency=high



 -- Louise Poubel <louise@osrfoundation.org>  Wed, 28 Aug 2013 07:00:00 -0000

ros-lunar-rqt-rviz (0.2.16-0xenial) xenial; urgency=high

  * First public release into Hydro

 -- Louise Poubel <louise@osrfoundation.org>  Tue, 09 Jul 2013 07:00:00 -0000

ros-lunar-rqt-rviz (0.2.15-0xenial) xenial; urgency=high



 -- Louise Poubel <louise@osrfoundation.org>  Thu, 25 Apr 2013 07:00:00 -0000

ros-lunar-rqt-rviz (0.2.14-0xenial) xenial; urgency=high



 -- Louise Poubel <louise@osrfoundation.org>  Fri, 12 Apr 2013 07:00:00 -0000

ros-lunar-rqt-rviz (0.2.13-0xenial) xenial; urgency=high



 -- Louise Poubel <louise@osrfoundation.org>  Tue, 09 Apr 2013 07:00:00 -0000

ros-lunar-rqt-rviz (0.2.12-0xenial) xenial; urgency=high



 -- Louise Poubel <louise@osrfoundation.org>  Sun, 07 Apr 2013 01:22:00 -0000

ros-lunar-rqt-rviz (0.2.11-0xenial) xenial; urgency=high



 -- Louise Poubel <louise@osrfoundation.org>  Sun, 07 Apr 2013 01:00:00 -0000

ros-lunar-rqt-rviz (0.2.10-0xenial) xenial; urgency=high



 -- Louise Poubel <louise@osrfoundation.org>  Thu, 04 Apr 2013 07:00:00 -0000

ros-lunar-rqt-rviz (0.2.9-0xenial) xenial; urgency=high



 -- Louise Poubel <louise@osrfoundation.org>  Thu, 07 Mar 2013 08:00:00 -0000

ros-lunar-rqt-rviz (0.2.8-0xenial) xenial; urgency=high



 -- Louise Poubel <louise@osrfoundation.org>  Fri, 11 Jan 2013 08:00:00 -0000

ros-lunar-rqt-rviz (0.2.7-0xenial) xenial; urgency=high

  * restore rviz plugin and add it to metapackage (that was done in 0.2.6)
  * first public release for Groovy

 -- Louise Poubel <louise@osrfoundation.org>  Sun, 23 Dec 2012 23:58:00 -0000

=== debian/control ===
Source: ros-lunar-rqt-rviz
Section: misc
Priority: extra
Maintainer: Louise Poubel <louise@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, qtbase5-dev, ros-lunar-catkin, ros-lunar-pluginlib, ros-lunar-rqt-gui, ros-lunar-rqt-gui-cpp, ros-lunar-rviz
Homepage: http://wiki.ros.org/rqt_rviz
Standards-Version: 3.9.2

Package: ros-lunar-rqt-rviz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-lunar-pluginlib, ros-lunar-rqt-gui, ros-lunar-rqt-gui-cpp, ros-lunar-rviz
Description: rqt_rviz provides a GUI plugin embedding RViz.
 Note that this rqt plugin does NOT supersede RViz but depends on it.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-rqt-rviz//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
